JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CodeDocument::Listener Class Referenceabstract
juce_gui_extra » code_editor

An object that receives callbacks from the CodeDocument when its text changes. More...

`#include <juce_CodeDocument.h>`

## Public Member Functions
| Listener ()=default
virtual | ~Listener ()=default
virtual void | codeDocumentTextInserted (const String &newText, int insertIndex)=0
| Called by a CodeDocument when text is added.
virtual void | codeDocumentTextDeleted (int startIndex, int endIndex)=0
| Called by a CodeDocument when text is deleted.

## Detailed Description

An object that receives callbacks from the CodeDocument when its text changes.

See also
  CodeDocument::addListener, CodeDocument::removeListener

## Constructor & Destructor Documentation

## ◆ Listener()

CodeDocument::Listener::Listener | ( |  | ) |
| default

## ◆ ~Listener()

virtual CodeDocument::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ codeDocumentTextInserted()

virtual void CodeDocument::Listener::codeDocumentTextInserted | ( | const String & | newText,
|  | int | insertIndex )
| pure virtual

Called by a CodeDocument when text is added.

## ◆ codeDocumentTextDeleted()

virtual void CodeDocument::Listener::codeDocumentTextDeleted | ( | int | startIndex,
|  | int | endIndex )
| pure virtual

Called by a CodeDocument when text is deleted.

The documentation for this class was generated from the following file:

- juce_CodeDocument.h